Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Interface SequenceFileInputFilter.Filter

All Superinterfaces:
  Configurable

All Known Implementing Classes:
  SequenceFileInputFilter.FilterBase, SequenceFileInputFilter.MD5Filter, SequenceFileInputFilter.PercentFilter, SequenceFileInputFilter.RegexFilter

Enclosing class:
  SequenceFileInputFilter<K,V>

    public static interface SequenceFileInputFilter.Filter

extends Configurable

filter interface

Method Summary
`boolean` | `accept(Object key)` filter function Decide if a record should be filtered or not

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Method Detail

### accept

    boolean accept(Object key)

  filter function Decide if a record should be filtered or not

  Parameters:
    `key` - record key
  Returns:
    true if a record is accepted; return false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation